5.2.0-git
04/18/2014

[#7093] One PGP key pair and S/MIME certificate per identity
Summary One PGP key pair and S/MIME certificate per identity
Queue IMP
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester r_reitzi (at) cs (dot) uni-kl (dot) de
Created 07/22/2008 (2096 days ago)
Due
Updated 04/05/2013 (378 days ago)
Assigned
Resolved
Milestone
Patch No

History
04/05/2013 12:44:45 PM Jan Schneider Summary ⇒ One PGP key pair and S/MIME certificate per identity
Version ⇒ Git master
 
07/24/2008 08:59:41 PM Jan Schneider Comment #2
Version ⇒ HEAD
Priority ⇒ 1. Low
State ⇒ Accepted
Reply to this comment
Won't happen before IMP 5.0 though.
07/22/2008 01:30:34 PM r_reitzi (at) cs (dot) uni-kl (dot) de Comment #1
State ⇒ New
Patch ⇒ No
Milestone ⇒
Queue ⇒ IMP
Summary ⇒ One PGP key pair per identity
Type ⇒ Enhancement
Priority ⇒ 2. Medium
Reply to this comment
I use several identities, i.e. one with my private email and one with 
my university one. Since PGP keys are somewhat bound to one email 
addy, I have created one key for each identity to be able to sign 
mails sent with either identity. However, IMP does only allow _one_ 
key pair for the hole account. Thus, I cannot work both identities 
equally featured at once.



I suggest giving IMP the ability to handle one key pair per identity 
and automatically choose the fitting one for both signing and 
decrypting messages.